Bug 1409639

Summary: python-blosc cannot compile for aarch64, ppc64 and ppc64le archs due to python-cpuinfo
Product: [Fedora] Fedora Reporter: Charalampos Stratakis <cstratak>
Component: python-bloscAssignee: Thibault North <thibault.north>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dan, hannsj_uhl, thibault.north, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-blosc-1.4.1-3.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-05 15:28:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1409636    
Bug Blocks: 238953, 922257, 1051573    

Description Charalampos Stratakis 2017-01-02 16:48:08 UTC
Currently, python-blosc depends on python-cpuinfo which in turn, does not support the mentioned arcs and as a result blosc cannot be built in rawhide after these archs were enabled.

Failed build: https://koji.fedoraproject.org/koji/taskinfo?taskID=17002571

These archs should be excluded.

Comment 1 Dan HorĂ¡k 2017-01-05 15:28:43 UTC
The unnecessary build-time check can be removed - http://pkgs.fedoraproject.org/cgit/rpms/python-blosc.git/commit/?id=3602f24e26109015780e0c7705a197ace9a8981e